Debian Bug report logs - #696098
ITP: libmoox-types-mooselike-perl -- module providing some Moosish types and a type builder

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: gregor herrmann <gregoa@debian.org>

Date: Sun, 16 Dec 2012 17:51:02 UTC

Owned by: gregor herrmann <gregoa@debian.org>

Severity: wishlist

Fixed in version libmoox-types-mooselike-perl/0.16-1

Done: gregor herrmann <gregoa@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, debian-perl@lists.debian.org, wnpp@debian.org:
Bug#696098; Package wnpp. (Sun, 16 Dec 2012 17:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, debian-perl@lists.debian.org, wnpp@debian.org. (Sun, 16 Dec 2012 17:51:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: libmoox-types-mooselike-perl -- module providing some Moosish types and a type builder
Date: Sun, 16 Dec 2012 18:49:42 +0100
Package: wnpp
Owner: gregor herrmann <gregoa@debian.org>
Severity: wishlist
X-Debbugs-CC: debian-devel@lists.debian.org,debian-perl@lists.debian.org

* Package name    : libmoox-types-mooselike-perl
  Version         : 0.16
  Upstream Author : Mateu X. Hunter (cpan:MATEU) <hunter@missoula.org>
* URL             : https://metacpan.org/release/MooX-Types-MooseLike/
* License         : Artistic or GPL-1+
  Programming Lang: Perl
  Description     : module providing some Moosish types and a type builder

Moo attributes (like Moose) have an 'isa' property.
MooX::Types::MooseLike(::Base) provides some basic types for this property.
One can import all types with the ':all' tag or import a list of types.

These types provide a check that the contact attribute is a hash reference,
that the guest_list is an array reference, and that the records are an array
of hash references.



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 17 Dec 2012 07:09:13 GMT) Full text and rfc822 format available.

Reply sent to gregor herrmann <gregoa@debian.org>:
You have taken responsibility. (Wed, 09 Jan 2013 18:03:56 GMT) Full text and rfc822 format available.

Notification sent to gregor herrmann <gregoa@debian.org>:
Bug acknowledged by developer. (Wed, 09 Jan 2013 18:03:56 GMT) Full text and rfc822 format available.

Message #12 received at 696098-close@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 696098-close@bugs.debian.org
Subject: Bug#696098: fixed in libmoox-types-mooselike-perl 0.16-1
Date: Wed, 09 Jan 2013 18:01:19 +0000
Source: libmoox-types-mooselike-perl
Source-Version: 0.16-1

We believe that the bug you reported is fixed in the latest version of
libmoox-types-mooselike-perl, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 696098@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
gregor herrmann <gregoa@debian.org> (supplier of updated libmoox-types-mooselike-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 16 Dec 2012 18:52:36 +0100
Source: libmoox-types-mooselike-perl
Binary: libmoox-types-mooselike-perl
Architecture: source all
Version: 0.16-1
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: gregor herrmann <gregoa@debian.org>
Description: 
 libmoox-types-mooselike-perl - module providing some Moosish types and a type builder
Closes: 696098
Changes: 
 libmoox-types-mooselike-perl (0.16-1) unstable; urgency=low
 .
   * Initial release (closes: #696098).
Checksums-Sha1: 
 e4efe4641f39c065cb1d2407b3f3104f5c70ede0 2313 libmoox-types-mooselike-perl_0.16-1.dsc
 f1c82f0703662993ace29ef46c79ed807d4e3e57 12114 libmoox-types-mooselike-perl_0.16.orig.tar.gz
 14843b94047b3028f5c83a21f77b361e7098edc4 1706 libmoox-types-mooselike-perl_0.16-1.debian.tar.gz
 acfe55ab8fa3c0e36aaa28c714d861ce1fa539ba 19216 libmoox-types-mooselike-perl_0.16-1_all.deb
Checksums-Sha256: 
 9ae1a8ab602e996cadf4a95f09fd824399a304714796515ffecd8b155e3833a8 2313 libmoox-types-mooselike-perl_0.16-1.dsc
 753ee74d6567ab265e646fee8aa4791641aaf8d5342a9689f53e7a302f16a727 12114 libmoox-types-mooselike-perl_0.16.orig.tar.gz
 9c57da86871f0e4bf774f1c2c9c9a1570010f91b9913abbbe36fe1c47dabc559 1706 libmoox-types-mooselike-perl_0.16-1.debian.tar.gz
 0c710c9ee78f749ae9c4effeff6c125cd2cda794a755eea2f2cd508357a6f123 19216 libmoox-types-mooselike-perl_0.16-1_all.deb
Files: 
 4cd3b61ae9c97ee1a208d86051a00c72 2313 perl optional libmoox-types-mooselike-perl_0.16-1.dsc
 b5189482abcb5286644b4403c3139b29 12114 perl optional libmoox-types-mooselike-perl_0.16.orig.tar.gz
 15761b0f4cde40959057fa165b6882f1 1706 perl optional libmoox-types-mooselike-perl_0.16-1.debian.tar.gz
 db6439a64d490db297c8eaa8bbef51f4 19216 perl optional libmoox-types-mooselike-perl_0.16-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQzgqAAAoJELs6aAGGSaoG5NsQAJJfWktPQj23jUhdZNowpaaT
CFhmavAmmXGOntV5AtTPzn0iGnCuv0nt1UZWyASL+AaD6TcmEddfSRXfbj7KkXId
euOeEwQu6GhvRZOK9lCrGJLMZ5faI1FYD/Ym1yRVlmjya2lcFNBrxBjOELjQFrpP
rP4wVdhOyLO3jN5s7R+/MqO7hu+HeIS9WsJuYPYqzluX0km1/h/9h6Qz7utDRan2
sNtlQzeoloCDjnCvCHaoPLepVjogA0skBtrj47yfzdRPRm9J6HwZ+DQgtWIeOH44
BwE1Dm9IrAOsN6r7nf5Gn4ABnZR7m4C7/amz3pAKh24uL/3JlVEAZ5UrW1fTt52T
CsNgMxdSVI8AARnLHVaFdTBaPYJhU4tXEVMQ3zEqzfbBqhhpr1ElYSO1OY3MypRZ
pkbR/t+7cJWhv67JJGdi8Inul0OxEKVzd8pMJC+2RE5pkQnIHSlRH7QXTJa5qD2Z
yBLhCUudnqn8jPbDbEevXLa3AEd1Lfext8L2ntAL0ZKgVX431rOXJmql5GvWZdGA
IhU8t6hLBu+w90iUJRcTysxKnhUlnzI4f2ep41KscGmHsTkSJsB0N2uL695EojUJ
YBthlpUegmuwOnFFLSsorGyHPIBnO/deyew8xwdh+OpvQ8naAK/BR5pE8ciiwipT
esZHoNZs3UnuDSijVHQg
=kcEb
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 07 Feb 2013 07:30:36 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 11:24:43 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.